<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			christian.rodriguez
@CU 				CU-SA-AC-005 Cotizar Costo de Avalúo
@MB					CotizacionCostoAvaluoMB (cotizarCostoAvaluo)
-->

<h:form id="cotizarCostoAvaluoModificarPredioForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="5" />

    <p:fieldset>

        <p:messages id="msgsCCAMP" showDetail="false" globalOnly="false" />

        <legend>
            <h:outputText value="Información predio" styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="4" cellspacing="7" width="100%"
                     columnClasses="col25p, col25p, col25p, col25p">

            <h:outputLabel value="Solicitante:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.avaluo.solicitante.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.avaluo.estructuraOrganizacionalCod}"
                styleClass="outputTextStyle" id="TerritorialesConDireccionGeneral-1">
                <f:converter converterId="converterCB"
                             for="TerritorialesConDireccionGeneral-1" />
            </h:outputText>

            <h:outputLabel value="Fecha radicación:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.avaluo.tramite.solicitud.fecha}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
            </h:outputText>

            <h:outputLabel value="Sec. Radicado:" styleClass="outputLabelStyle" />
            <p:commandLink styleClass="commandLinkStyle"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                           update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                           oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                           value="#{cotizarCostoAvaluo.avaluo.secRadicado}" immediate="true">
                <f:setPropertyActionListener
                    value="#{cotizarCostoAvaluo.avaluo.secRadicado}"
                    target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
            </p:commandLink>

        </h:panelGrid>

        <p:separator />

        <h:panelGrid columns="4" cellspacing="7" width="100%"
                     columnClasses="col25p, col25p, col25p, col25p">

            <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.departamento.nombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.municipio.nombre}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Dirección predio:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.direccion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Número predial:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.numeroPredial}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Matrícula inmobiliaria:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.numeroRegistro}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo avalúo predio:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.tipoAvaluoPredio}"
                styleClass="outputTextStyle" id="AvaluoPredioTipoAvaluoV-1">
                <f:converter converterId="converterCB"
                             for="AvaluoPredioTipoAvaluoV-1" />
            </h:outputText>

            <h:outputLabel value="Condición jurídica:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.condicionJuridica}"
                styleClass="outputTextStyle" id="OfertaCondicionJuridicaD-1">
                <f:converter converterId="converterCB"
                             for="OfertaCondicionJuridicaD-1" />
            </h:outputText>

            <h:outputLabel value="Área construcción:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.areaConstruccion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Área terreno:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.areaTerreno}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Requiere trámite catastral:"
                           styleClass="outputLabelStyle" />
            <h:selectBooleanCheckbox
                value="#{cotizarCostoAvaluo.predioSeleccionado.requiereTramiteCatastralBoolean}">
                <p:ajax
                    update=":cotizarCostoAvaluoModificarPredioForm:observacionPG" />
            </h:selectBooleanCheckbox>

            <h:outputLabel value="Valor construcción:"
                           styleClass="outputLabelStyle" />
            <h:panelGrid columns="2">
                <h:inputText id="valorTotalConstrucciones"
                             label="Valor construcción"
                             value="#{cotizarCostoAvaluo.predioSeleccionado.valorTotalConstrucciones}">
                    <f:validateDoubleRange minimum="1.0" for="valorTotalConstrucciones" />
                    <f:converter converterId="converterMoneda"
                                 for="valorTotalConstrucciones" />
                    <p:ajax event="blur" update="valorTotalConstrucciones"
                            onstart="aplicarFormatoMoneda('cotizarCostoAvaluoModificarPredioForm:valorTotalConstrucciones',true);" />
                    <p:ajax event="focus"
                            onstart="aplicarFormatoMoneda('cotizarCostoAvaluoModificarPredioForm:valorTotalConstrucciones',false);" />
                    <p:ajax event="change"
                            listener="#{cotizarCostoAvaluo.calcularValorPreliminar}"
                            update=":cotizarCostoAvaluoModificarPredioForm"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide(); alert('Falta integracion con caso de uso 137')" />
                </h:inputText>
                <p:message for="valorTotalConstrucciones" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Valor preliminar:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.valorPreliminar}"
                styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

            <h:outputLabel value="Valor terreno:" styleClass="outputLabelStyle" />
            <h:panelGrid columns="2">
                <h:inputText id="valorTotalTerreno" label="Valor terreno"
                             value="#{cotizarCostoAvaluo.predioSeleccionado.valorTotalTerreno}">
                    <f:validateDoubleRange minimum="1.0" for="valorTotalTerreno" />
                    <f:converter converterId="converterMoneda" for="valorTotalTerreno" />
                    <p:ajax event="blur" update="valorTotalTerreno"
                            onstart="aplicarFormatoMoneda('cotizarCostoAvaluoModificarPredioForm:valorTotalTerreno',true);" />
                    <p:ajax event="focus"
                            onstart="aplicarFormatoMoneda('cotizarCostoAvaluoModificarPredioForm:valorTotalTerreno',false);" />
                    <p:ajax event="change"
                            listener="#{cotizarCostoAvaluo.calcularValorPreliminar}"
                            update=":cotizarCostoAvaluoModificarPredioForm"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide(); alert('Falta integracion con caso de uso 137')" />
                </h:inputText>
                <p:message for="valorTotalTerreno" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Valor IVA:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.valorIva}"
                styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

            <h:outputLabel value="Valor anexos:" styleClass="outputLabelStyle" />
            <h:panelGrid columns="2">
                <h:inputText id="valorTotalAnexos" label="Valor anexos"
                             value="#{cotizarCostoAvaluo.predioSeleccionado.valorTotalAnexos}">
                    <f:validateDoubleRange minimum="1.0" for="valorTotalAnexos" />
                    <f:converter converterId="converterMoneda" for="valorTotalAnexos" />
                    <p:ajax event="blur" update="valorTotalAnexos"
                            onstart="aplicarFormatoMoneda('cotizarCostoAvaluoModificarPredioForm:valorTotalAnexos',true);" />
                    <p:ajax event="focus"
                            onstart="aplicarFormatoMoneda('cotizarCostoAvaluoModificarPredioForm:valorTotalAnexos',false);" />
                    <p:ajax event="change"
                            listener="#{cotizarCostoAvaluo.calcularValorPreliminar}"
                            update=":cotizarCostoAvaluoModificarPredioForm"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide(); alert('Falta integracion con caso de uso 137')" />
                </h:inputText>
                <p:message for="valorTotalAnexos" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Valor cotización:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{cotizarCostoAvaluo.predioSeleccionado.valorCotizacion}"
                styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

            <h:outputText value="" />
            <h:outputText value="" />

            <h:outputLabel value="Valor cotización ajustado:"
                           styleClass="outputLabelStyle" />
            <h:panelGrid columns="2">
                <h:inputText id="valorCotizacion" label="Valor cotización"
                             value="#{cotizarCostoAvaluo.predioSeleccionado.valorCotizacionAjustado}">
                    <f:validateDoubleRange minimum="1.0" for="valorCotizacion" />
                    <f:converter converterId="converterMoneda" for="valorCotizacion" />
                    <p:ajax event="blur" update="valorCotizacion"
                            onstart="aplicarFormatoMoneda('cotizarCostoAvaluoModificarPredioForm:valorCotizacion',true);" />
                    <p:ajax event="focus"
                            onstart="aplicarFormatoMoneda('cotizarCostoAvaluoModificarPredioForm:valorCotizacion',false);" />
                    <p:ajax event="change"
                            update=":cotizarCostoAvaluoModificarPredioForm"
                            listener="#{cotizarCostoAvaluo.onChangeValorAjustado}" />
                </h:inputText>
                <p:message for="valorCotizacion" display="icon" />
            </h:panelGrid>
        </h:panelGrid>

        <h:panelGrid columns="2" cellspacing="7"
                     columnClasses="col50p, col50p" width="100%"
                     id="observacionJustificaicionPG">

            <h:panelGrid id="observacionPG" columns="1" cellspacing="7"
                         width="100%">
                <h:panelGrid columns="3" cellspacing="0">
                    <h:outputText value="Observación:" styleClass="outputLabelStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle"
                                   rendered="#{cotizarCostoAvaluo.predioSeleccionado.requiereTramiteCatastralBoolean}" />
                    <p:message for="observacion" display="icon"
                               rendered="#{cotizarCostoAvaluo.predioSeleccionado.requiereTramiteCatastralBoolean}" />
                </h:panelGrid>
                <h:inputTextarea id="observacion" label="Observación" rows="4"
                                 style="width: 100%;"
                                 value="#{cotizarCostoAvaluo.predioSeleccionado.observaciones}"
                                 required="#{cotizarCostoAvaluo.predioSeleccionado.requiereTramiteCatastralBoolean}" />
            </h:panelGrid>

            <h:panelGrid id="justificacionValorAjustadoPG" columns="1"
                         cellspacing="7" width="100%"
                         rendered="#{cotizarCostoAvaluo.banderaRequiereJusiticacionAjuste}">
                <h:panelGrid columns="3" cellspacing="0">
                    <h:outputText value="Justificación valor ajustado"
                                  styleClass="outputLabelStyle" />
                    <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                    <p:message for="justificacionValorAjustado" display="icon" />
                </h:panelGrid>
                <h:inputTextarea id="justificacionValorAjustado"
                                 label="Justificacion valor ajustado" rows="4" style="width: 100%;"
                                 value="#{cotizarCostoAvaluo.predioSeleccionado.justificacionValorAjustado}"
                                 required="true" />
            </h:panelGrid>

        </h:panelGrid>

    </p:fieldset>

    <h:panelGrid columns="1" cellspacing="7">

        <p:commandButton value="Aceptar"
                         action="#{cotizarCostoAvaluo.guardarPredio}"
                         update="#{componentsToUpdateParam}, :cotizarCostoAvaluoModificarPredioForm"
                         icon="ui-icon-disk" onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); 
                         handleCompleteSIC(xhr, status, args, #{thisWVNameParam}, false);" />

    </h:panelGrid>
</h:form>